<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */
define('PAGESTR', 5);

if (file_exists('../__incfiles/core.php')) {
	require_once('../__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

if (!$admin) header('Location: '.ADMIN);

switch ($act) {

	default:

	$sql = mysql_query("SELECT (`name`) FROM `".SQLprefixTable."news` WHERE `id`='".$id."'");

	if (mysql_num_rows($sql)) {
		$news = mysql_fetch_row($sql);
	} else {
		header('Location: '.ADMIN.'/news.xhtml');
	}

	unset($sql);

	require_header('Комментарии к новости "'.htmlspecialchars($news[0]).'"');

	if (isset($_POST['submit'])) {
		
		$error = '';
			
		if (empty($_POST['name'])) {
			$error .= 'Введите ваше имя!<br/>';
		}
		else if (iconv_strlen($_POST['name']) < 3 || iconv_strlen($_POST['name']) > 15) {
			$error .= 'Имя должно содержать от 3 до 15 символов!<br/>';
		}
			
		if (empty($_POST['text'])) {
			$error .= 'Комментарий не должен быть пустым!<br/>';
		}
		else if (iconv_strlen($_POST['text']) < 5) {
			$error .= 'Комментарий не может быть таким коротким!<br/>';
		}
			
		if (empty($_POST['code'])) {
			$error .= 'Введите код с картинки!';
		}
		else if ($_SESSION['code'] != $_POST['code']) {
			$error .= 'Код с картинки введен не верно!';
		}
			
		if ($error) {
			echo '<div class="error">'.$error.'</div>';
		} else {
			if (mysql_query("INSERT INTO `".SQLprefixTable."news_comment` SET `ref`='".$id."', `date`='".time()."', `name`='".mysql_real_escape_string($_POST['name'])."', `text`='".mysql_real_escape_string($_POST['text'])."'")) {
				header('Refresh: 1, url='.ADMIN.'/news_comment.xhtml/'.$id.'/');
				echo '<div class="menu">Комментарий успешно добавлен!</div>';
			} else {
				echo '<div class="error">Ошибка при добавлении комментария!</div>';
			}
		}
		
	}

	echo '<form class="menu" action="" method="post">
	<b>Ваше имя:</b><br/><input type="text" name="name" value="ADMIN" maxlength="15"/><br/>
	<b>Комментарий:</b><br/><textarea name="text" rows="2" cols="70"></textarea><br/>
	<b>Код с картинки:</b><br/><input type="text" name="code" maxlength="4" size="4"/> <img src="'.SCRIPT.'/code.php" alt=""/><br/>
	<input type="submit" name="submit" value="Написать"/>
	</form>

	<div class="title">Все комментарии</div>';

	$count = mysql_fetch_row(mysql_query("SELECT COUNT(`id`) FROM `".SQLprefixTable."news_comment` WHERE `ref`='".$id."'"));

	$k_page = k_page($count[0], PAGESTR); 
	$page = page($k_page);
	define('START', (PAGESTR * $page - PAGESTR));

	$sql = mysql_query("SELECT * FROM `".SQLprefixTable."news_comment` WHERE `ref`='".$id."' ORDER BY `id` DESC LIMIT ".START.", ".PAGESTR);

	if (mysql_num_rows($sql)) {

		if ($k_page > 1) {
			navigation(ADMIN.'/news_comment.xhtml/'.$id.'/', $k_page, $page, true);
		}

		$i = 0;
		
		while ($row = mysql_fetch_assoc($sql)) {
			echo '<div class="'.($i++ % 2 ? 'main' : 'menu').'"><b>'.htmlspecialchars($row['name']).'</b> ['.clock($row['date']).']<br/>'.nl2br(htmlspecialchars($row['text'])).'<br/><br/>
			<a href="'.ADMIN.'/news_comment.xhtml/edit/'.$row['id'].'/" style="color:green">Изменить</a> / <a href="'.ADMIN.'/news_comment.xhtml/delete/'.$row['id'].'/" style="color:red">Удалить</a></div>';
		}
		
		if ($k_page > 1) {
			navigation(ADMIN.'/news_comment.xhtml/'.$id.'/', $k_page, $page);
		}

	} else {
		echo '<div class="menu">Комментариев еще нет!</div>';
	}

	echo '<div class="block"><a href="'.ADMIN.'/news.xhtml">Управление новостями</a></div>';

	require_footer();

	break;
	
	case 'delete':
	
	$sql = mysql_query("SELECT (`ref`) FROM `".SQLprefixTable."news_comment` WHERE `id`='".$id."'");
	
	if (mysql_num_rows($sql)) {
		$row = mysql_fetch_row($sql);
	} else {
		header('Location: '.ADMIN.'/news.xhtml');
	}
	
	require_header('Удалить комментарий');
	
	if (isset($_POST['delete'])) {
	
		if (mysql_query("DELETE FROM `".SQLprefixTable."news_comment` WHERE `id`='".$id."'")) {
			header('Refresh: 1, url='.ADMIN.'/news_comment.xhtml/'.$row[0].'/');
			echo '<div class="menu">Комментарий успешно удален!</div>';
		} else {
			echo '<div class="error">Ошибка при удалении комментария!</div>';
		}
	
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Вы действительно хотите удалить данный комментарий?</b><br/>
	<input type="submit" name="delete" value="Да"/> <a href="'.ADMIN.'/news_comment.xhtml/'.$row[0].'/"><input type="button" value="Нет"/></a>
	</form>
	
	<div class="block"><a href="'.ADMIN.'/news_comment.xhtml/'.$row[0].'/">Управление комментариями</a></div>';
	
	require_footer();
	
	break;
	
	case 'edit':
	
	$sql = mysql_query("SELECT `ref`,`name`,`text` FROM `".SQLprefixTable."news_comment` WHERE `id`='".$id."'");
	
	if (mysql_num_rows($sql)) {
		$row = mysql_fetch_assoc($sql);
	} else {
		header('Location: '.ADMIN.'/news.xhtml');
	}
	
	require_header('Изменить комментарий');
	
	if (isset($_POST['submit'])) {
		
		$error = '';
			
		if (empty($_POST['name'])) {
			$error .= 'Введите ваше имя!<br/>';
		}
		else if (iconv_strlen($_POST['name']) < 3 || iconv_strlen($_POST['name']) > 15) {
			$error .= 'Имя должно содержать от 3 до 15 символов!<br/>';
		}
			
		if (empty($_POST['text'])) {
			$error .= 'Комментарий не должен быть пустым!<br/>';
		}
		else if (iconv_strlen($_POST['text']) < 5) {
			$error .= 'Комментарий не может быть таким коротким!<br/>';
		}
			
		if (empty($_POST['code'])) {
			$error .= 'Введите код с картинки!';
		}
		else if ($_SESSION['code'] != $_POST['code']) {
			$error .= 'Код с картинки введен не верно!';
		}
			
		if ($error) {
			echo '<div class="error">'.$error.'</div>';
		} else {
			if (mysql_query("UPDATE `".SQLprefixTable."news_comment` SET `name`='".mysql_real_escape_string($_POST['name'])."', `text`='".mysql_real_escape_string($_POST['text'])."' WHERE `id`='".$id."'")) {
				header('Refresh: 1, url='.ADMIN.'/news_comment.xhtml/'.$row['ref'].'/');
				echo '<div class="menu">Комментарий успешно изменен!</div>';
			} else {
				echo '<div class="error">Ошибка при изменении комментария!</div>';
			}
		}
		
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Имя:</b><br/><input type="text" name="name" value="'.htmlspecialchars($row['name']).'" maxlength="15"/><br/>
	<b>Комментарий:</b><br/><textarea name="text" rows="2" cols="70">'.htmlspecialchars($row['text']).'</textarea><br/>
	<b>Код с картинки:</b><br/><input type="text" name="code" maxlength="4" size="4"/> <img src="'.SCRIPT.'/code.php" alt=""/><br/>
	<input type="submit" name="submit" value="Изменить"/>
	</form>
	
	<div class="block"><a href="'.ADMIN.'/news_comment.xhtml/'.$row['ref'].'/">Управление комментариями</a></div>';
	
	require_footer();
	
	break;
	
	case 'truncate':
	
	require_header('Удалить все комментарии');
	
	if (isset($_POST['delete'])) {
		if (mysql_query("TRUNCATE TABLE `".SQLprefixTable."news_comment`")) {
			header('Refresh: 1, url='.ADMIN.'/news_comment.xhtml');
			echo '<div class="menu">Комментарии успешно очищены!</div>';
		} else {
			echo '<div class="error">Ошибка при очистки комментариев!</div>';
		}
	}
	
	echo '<form class="menu" action="" method="post">
	<b>Вы действительно хотите удалить все комментарии к новостям?</b><br/>
	<input type="submit" name="delete" value="Да"/> <a href="'.ADMIN.'/news_comment.xhtml"><input type="button" value="Нет"/></a>
	</form>
	
	<div class="block"><a href="'.ADMIN.'/news_comment.xhtml">Управление комментариями</a></div>';
	
	require_footer();
	
	break;

}
?>